/* -*- c++ -*- */
#ifndef AKAXISO_LOCATOR_H__
#define AKAXISO_LOCATOR_H__

#include <cstddef>
#include <string>

namespace aka2 {

  class locator {
  public:
    virtual ~locator(){}

    virtual size_t get_linenumber() const;
    virtual size_t get_columnnumber() const;

    std::string get_position() const;

  };

}


#endif
